import { MidwayConfig } from '@midwayjs/core';
const ip = '192.168.1.197';
const branch = 'Two';
const branchRouter = 'two';
const basePort = 12311;
const baseDB = `shopping${branch}`;
const dbName = `shopping${branch}_chat`;
const mqUser = `shopping${branch}`;
const routePrefix = `/dev/point/${branchRouter}/chat/v1/api`;
const suffix = `_${branch}_dev_local`;
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1669597198171_1000',
  koa: {
    port: 12314,
    globalPrefix: routePrefix,
  },
  webSocket: {
    clientTracking: true,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${dbName}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity/chat'],
      },
      base: {
        uri: `mongodb://${ip}:27017/${baseDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity/base'],
      },
    },
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
  },
  axios: {
    clients: {
      wechat: {
        baseURL: 'https://broadcast.waityou24.cn/wechat/api', // http://127.0.0.1:14001/wechat/api
      },
      base: {
        baseURL: `http://127.0.0.1:${basePort}/point/${branchRouter}/v1/api`, // http://127.0.0.1:12211
      },
    },
  },
  rabbitmq: {
    url: `amqp://${mqUser}:${mqUser}@${ip}/${mqUser}`,
  },
  mqConfig: {
    normal: {
      ex: `t_m${suffix}`,
    },
    timeout: 1, //min
  },
} as MidwayConfig;
