import { Configuration, App } from '@midwayjs/decorator';
import * as koa from '@midwayjs/koa';
import * as validate from '@midwayjs/validate';
import * as info from '@midwayjs/info';
import { join } from 'path';
import * as FreeFrame from 'free-midway-component';
import * as swagger from '@midwayjs/swagger';
import * as jwt from '@midwayjs/jwt';
import { CheckTokenMiddleware } from './middleware/checkToken.middleware';
import * as axios from '@midwayjs/axios';
import { Inject } from '@midwayjs/core';
import * as rabbitmq from '@midwayjs/rabbitmq';
import { Context } from '@midwayjs/koa';
import * as ws from '@midwayjs/ws';
@Configuration({
  imports: [
    FreeFrame,
    validate,
    jwt,
    axios,
    swagger,
    rabbitmq,
    ws,
    {
      component: info,
      enabledEnvironment: ['local'],
    },
  ],
  importConfigs: [join(__dirname, './config')],
})
export class ContainerLifeCycle {
  @App()
  app: koa.Application;
  @Inject()
  ctx: Context;
  async onReady() {
    this.app.getMiddleware().insertFirst(CheckTokenMiddleware);
  }
}
