import { Body, Controller, Get, Inject, Post } from '@midwayjs/decorator';
import { SendMsgDTO } from '../interface/websocket.interface';
import { WsSocketController } from '../socket/ws.controller';
@Controller('/')
export class HomeController {
  @Inject()
  ws: WsSocketController;
  @Get('/')
  async home(): Promise<string> {
    return 'Hello Midwayjs!';
  }

  @Post('/sendWebSocket')
  async sendWebSocket(@Body() object: SendMsgDTO) {
    const { recevier, ...others } = object;
    await this.ws.toSend(others, recevier);
    return 'ok';
  }
}
