import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'chatRecord' },
})
export class ChatRecord extends BaseModel {
  @prop({ required: false, index: true, zh: '房间' })
  room: string;
  @prop({ required: false, index: true, zh: '发言人' })
  speaker: string;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: true, zh: '时间' })
  time: string;
  @prop({ required: false, index: true, zh: '消息类型', remark: '字典:msg_type', default: '0' })
  msg_type: string;
  @prop({ required: false, index: true, zh: '是否已读', remark: '字典:is_read默认未读', default: '0' })
  is_read: string;
}
