import { Rule, RuleType } from '@midwayjs/validate';
import { ApiProperty } from '@midwayjs/swagger';
import _ = require('lodash');
import { SearchBase } from 'free-midway-component';
export class FetchVO_room {
  constructor(data: object) {
    for (const key of Object.keys(this)) {
      this[key] = _.get(data, key);
    }
  }
  @ApiProperty({ description: '数据id' })
  _id: string = undefined;
  @ApiProperty({ description: '顾客' })
  'customer': string = undefined;
  @ApiProperty({ description: '店铺' })
  'shop': string = undefined;
  @ApiProperty({ description: '最后发言' })
  'last_chat': string = undefined;
}

export class QueryDTO_room extends SearchBase {
  constructor() {
    const like_prop = [];
    const props = ['customer', 'shop'];
    const mapping = [];
    super({ like_prop, props, mapping });
  }
  @ApiProperty({ description: '顾客' })
  'customer': string = undefined;
  @ApiProperty({ description: '店铺' })
  'shop': string = undefined;
}

export class QueryVO_room extends FetchVO_room {}

export class CreateDTO_room {
  @ApiProperty({ description: '顾客' })
  @Rule(RuleType['string']().empty(''))
  'customer': string = undefined;
  @ApiProperty({ description: '店铺' })
  @Rule(RuleType['string']().empty(''))
  'shop': string = undefined;
  @ApiProperty({ description: '最后发言' })
  @Rule(RuleType['string']().empty(''))
  'last_chat': string = undefined;
}

export class CreateVO_room extends FetchVO_room {}

export class UpdateDTO_room extends CreateDTO_room {
  @ApiProperty({ description: '数据id' })
  @Rule(RuleType['string']().empty(''))
  _id: string = undefined;
}

export class UpdateVO_room extends FetchVO_room {}
