import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ChatRecord } from '../entity/chat/chatRecord.entity';
type modelType = ReturnModelType<typeof ChatRecord>;
@Provide()
export class ChatRecordService extends BaseService<modelType> {
  @InjectEntityModel(ChatRecord)
  model: modelType;

  async toRead(list: Array<string>) {
    const res = await this.model.updateMany({ _id: list }, { is_read: '1' });
    return res;
  }
}
